// draws an equally spaced column of rectangles in the center
// of the window using a for loop
size(600, 800);

// control variables
float numRects = 20;
int rectSize = 20;

// space between rects & edges of screen
float space = height/(numRects+1); // note +1
float y = space;

// draw from the center
rectMode(CENTER);

// for loop! similiar to if -> iterations
// has 3 parts:
// * init -> initialize a variable for our loop -> counter
// * test -> conditional: keep running until this is NOT true
// * update -> update the counter
for(int i = 0; i < numRects; i = i+1) {
  fill((i/(numRects-1)) * 255.0);
  rect(width/2, y, rectSize, rectSize);
  y = y + space; // add a certain amount of space
}