size(600, 800);

// control variables
int numRects = 10;
int rectSize = 50;

// space between rects & edges of screen
int space = height/(numRects+1); // note +1
float y = space;

// draw from the center
rectMode(CENTER);

// for loop! similiar to if -> iterations
// has 3 parts:
// * init -> initialize a variable for our loop -> counter
// * test -> if statement conditional -> keep running until this is NOT true
// * update -> update the counter
for(int i = 0; i < numRects; i = i+1) {
  strokeWeight(1); // reset line width, just in case
  if(y > height/2) { // lighter grey if on bottom half of screen
    fill(200);  
  }
  if(i == 1) { // is this the second rect?
    strokeWeight(10); // thicker line
  }
  rect(width/2, y, rectSize, rectSize);
  y = y + space;
}