size(600, 600);

int numRects = 10;
int rectSize = 20;

int xSpace = width/(numRects+1);
float x = xSpace;

// draws a grid using nested for loops

// space between rects & edges of screen
int ySpace = height/(numRects+1);
float y = ySpace;

// draw from the center
rectMode(CENTER);

// draw grid of rects or circles
for(int i = 0; i < numRects; i = i+1) { // rows
  for(int j = 0; j < numRects; j = j+1) { // columns
    if(i % 2 == 0) { // even number, the remainder is 0
      rect(x, y, rectSize, rectSize);
    }
    else { // odd, remainder is non 0
      ellipse(x, y, rectSize, rectSize);
    }
    x = x + xSpace; // move pos right for each col
  }
  x = xSpace; // move pos back to right to restart col
  y = y + ySpace; // move pos down for next row
}