// draw complex shapes using beginShape
size(800, 800);

boolean makeNice = false;

// draw a rectangle manually using 4 points
fill(255, 198, 90);
strokeWeight(1);
beginShape();
vertex(10, 10);
vertex(10, 20);
vertex(20, 20);
vertex(20, 10);
endShape(CLOSE);

// draw a compound bezier shape
fill(72, 229, 245);
beginShape();
vertex(20, 620);
bezierVertex(20, 100, 200, 100, 200, 100);
bezierVertex(200, 100, 300, 200, 200, 400);
endShape(CLOSE);

// draw a complex shape using curves or stright lines
fill(230, 200, 245);
strokeWeight(10);
if(makeNice == true) {
    beginShape();
    curveVertex(250, 528);
    curveVertex(250, 528);
    curveVertex(250, 450);
    curveVertex(100, 250);
    curveVertex(450, 166);
    curveVertex(500, 280);
    curveVertex(500, 500);
    curveVertex(600, 350);
    curveVertex(550, 528);
    curveVertex(550, 528);
    endShape(CLOSE);
}
else {
  beginShape();
  vertex(250, 528);
  vertex(250, 450);
  vertex(100, 250);
  vertex(450, 166);
  vertex(500, 280);
  vertex(500, 500);
  vertex(600, 350);
  vertex(550, 528);
  endShape(CLOSE);
}