size(400, 400);

// load an image from the data folder
PImage hamster = loadImage("Syrian hamster.jpg");
//PImage hamster = loadImage("http://static.boredpanda.com/blog/wp-content/uploads/2015/09/cute-hamsters-23__880.jpg");
println("size: "+hamster.width+"x"+hamster.height);  

// calc aspect ratio -> w/h, make sure to use decimals (float)
float aspect = float(hamster.width)/float(hamster.height);
println("aspect: "+aspect);

background(255);

// draw in upper left corner
//image(hamster, 0, 0); // full size
//image(hamster, 0, 0, width, width/aspect); // sized to fit

// set the image mode:
// CORNER -> upper left corner (default)
// CENTER -> draw from the center
// CORNERS -> upper left & lower right
imageMode(CENTER);
tint(235, 209, 222); // tint the image red, kind of like fill()
image(hamster, width/2, height/2, width, width/aspect);

// like fill() & noFill(), there is a noTint();
noTint();
imageMode(CORNER);
image(hamster, 0, 0, hamster.width/10, hamster.height/10);

// save an image of the window
save("ma_hamster.png");