float x = width/2;
float y = height/2;
float circleSize = 100;
float speed = 5; // number of pixels to move

void setup() {
  size(400, 400);
}

void draw() {
  background(100);
  
  // move position based on arrow keys
  if(keyPressed && key == CODED) {
    if(keyCode == LEFT) {
      x = x - speed;
    }
    else if(keyCode == RIGHT) {
      x = x + speed;
    }
    else if(keyCode == UP) {
      y = y - speed;
    }
    else if(keyCode == DOWN) {
      y = y + speed;
    }
  }
  
  // check edges, keep inside of screen
  if(x < circleSize/2) {
   x = circleSize/2; // reset  
  }
  else if(x > width-circleSize/2) {
    x = width-circleSize/2;
  }
  if(y < circleSize/2) {
   y = circleSize/2; // reset  
  }
  else if(y > height-circleSize/2) {
    y = height-circleSize/2;
  }
  
  // draw the circle
  noStroke();
  fill(200);
  ellipse(x, y, circleSize, circleSize);
}
  