int num = 20;

// arrays
float x[]; // current x position
float targetX[]; // current target
float easing[]; // easing amount

void setup() {
 size(800, 200);
 
 // create space for num floats in x
 x = new float[num];
 targetX = new float[num];
 easing = new float[num];
 
 // init all x to 0 & target to width
 for(int i = 0; i < x.length; ++i) {
   x[i] = 0;
   targetX[i] = 0;
   easing[i] = random(0.10, 0.50);
 }
 
 noCursor();
}

void draw() {
  background(200);
  
  // figure out our spacing based the number of ellipses
  float yspace = height/(x.length+1);
  
  // update current position & draw
  for(int i = 0; i < x.length; ++i) {
    targetX[i] = mouseX;
    x[i] = x[i] + (targetX[i] - x[i]) * easing[i];
    ellipse(x[i], yspace + i*yspace, 12, 12);
  }
}