
int num = 20;

// circles
float angleX[]; // < there are 10 floats in here
float angleY[]; // same here

color colors[];

float circleSize = 20;
float speed = 0.0025;

void setup() {
  size(800, 800);
  frameRate(60);
  noStroke();
  
  // create angle values
  angleX = new float[num];
  angleY = new float[num];
  colors = new color[num];
  
  // set starts points along curve, also calc diff between two colors from 0-1
  for(int i = 0; i < num; ++i) {
    angleX[i] = i * (TWO_PI/num);
    angleY[i] = i * (TWO_PI/num);
    //colors[i] = color(random(255), random(255), random(255));
    colors[i] = lerpColor(color(255, 0, 0), color(0, 255, 0), i * (1.0/num));
  }
}

void draw() {
  background(100);
  
  // draw circles and update angle positions
  for(int i = 0; i < num; ++i) {
    drawCircle(angleX[i], angleY[i], 200, 200, colors[i]);
    angleX[i] = angleX[i] + speed;
    angleY[i] = angleY[i] + speed;
  }
 
}

// draw the circle with a given color
void drawCircle(float ax, float ay, float offsetX, float offsetY, color c) {
  fill(c);
  ellipse(width/2 + ((offsetX - circleSize/2) * sin(ax)),
         height/2 + ((offsetY - circleSize/2) * cos(ay)),
         circleSize, circleSize);
}