
int ballPitSize = 200;
Ball ballPit[];

PImage donald;
PImage chipmunks;

void setup() {
  // use 3d rendering for a little speed
  // at the expense of quality
  size(800, 800, P3D);
  
  donald = loadImage("Donald-Duck-Face-1.png");
  chipmunks = loadImage("Clubchipmunks.png");
  
  ballPit = new Ball[ballPitSize];
  for(int i = 0; i < ballPit.length; ++i) {
    ballPit[i] = new Ball();  
  }
}

void draw() {
   background(100);
  
  for(int i = 0; i < ballPit.length; ++i) {
    
    Ball b = ballPit[i];
    
    if(keyPressed && key == ' ') {
      b.update(); 
      b.drawFunky();
    }
    else {
      b.draw(); 
    }
    
    // make sure we don't grab the -1 index
    if(i > 0) {
      stroke(b.c);
      line(b.x, b.y, ballPit[i-1].x, ballPit[i-1].y);
    }
  }
}