
PImage pug;
PImage filteredPug;

void setup() {
  size(800, 400);
  frameRate(30);
  
  // load images
  pug = loadImage("pug.jpg");
  filteredPug = loadImage("pug.jpg");
  
  // filter the pug!
  //filteredPug.filter(THRESHOLD, 0.75);
  
  // draw from the center
  imageMode(CENTER);
}

void draw() {
    background(255);
    
    // copies image each frame & runs filter,
    // do thi in setup() if you don't need to change things
    // every frame
    if(mouseX != pmouseX) { // only filter if mouse has moved
      filteredPug = pug.copy();
      //filteredPug.filter(THRESHOLD, map(mouseX, 0, width, 0.0, 1.0));
      //filteredPug.filter(GRAY);
      //filteredPug.filter(INVERT);
      //filteredPug.filter(OPAQUE); // no alpha! all opaque
      filteredPug.filter(POSTERIZE, map(mouseX, 0, width, 2.0, 10.0));
      //filteredPug.filter(BLUR, map(mouseX, 0, width, 1.0, 10.0));
    }
    
    // move down to middle of the screen on y axis
    translate(0, height/2);
    
    // draw normal pug
    tint(255);
    image(pug, 200, 0, 400, 300);
    
    // draw filtered pug
    //tint(255, 200, 200);
    image(filteredPug, 600, 0, 400, 300);
}