
PImage tiger;
int stepSize = 10;

void setup() {
  size(400, 400);
  tiger = loadImage("tiger.jpg");
  rectMode(CENTER);
}

void draw() {
  background(255);
  
  //stepSize = int(map(mouseX, 0, width, 1, 20));
  
  noStroke();
  tiger.loadPixels();
  for(int y = 0; y < tiger.height; y += stepSize) {
    for(int x = 0; x < tiger.width; x += stepSize) {
      color c = tiger.pixels[y*tiger.width + x];
      fill(c); // set fill from pixel value
      float d = dist(x, y, mouseX, mouseY);
      if(d < stepSize/2) { // draw twice as big if mouse is on top
        fill(255, 0, 0);
        ellipse(x, y, stepSize, stepSize);
      }
      else {
        ellipse(x, y, stepSize, stepSize);
      }
      //float brightness = blue(c);//brightness(c);
      //ellipse(x, y,
      //  map(brightness, 0, 255, 10, 5),
      //  map(brightness, 0, 255, 10, 5));  
    }
  }
}