
class Ball {

  float x, y;
  float speedX, speedY;
  color c;
  
  Ball() {
    x = random(width);
    y = random(height);
    speedX = random(-4, 4);
    speedY = random(-4, 4);
    c = color(
      random(50, 225),   // r
      random(50, 225),   // g
      random(50, 225));  // b  
  }
  
  void update() {
    
    // update the X position
    x = x + speedX;
    if(x < 0) { // left
      x = 0; // reset
      speedX = -speedX; // turn around
    }
    else if(x > width) { // right
      x = width; // reset
      speedX = -speedX;
    }
    
    // update the Y position
    y = y + speedY;
    if(y < 0) { // top
      y = 0; // reset
      speedY = -speedY; // turn around
    }
    else if(y > height) { // right
      y = height; // bottom
      speedY = -speedY;
    }
    
  }
  
  // draw white
  void draw() {
    fill(255);
    noStroke();
    ellipse(x, y, 12, 12);
  }
  
  // draw w/ random color
  void drawFunky() {
    fill(c);
    noStroke();
    ellipse(x, y, 12, 12);
  }
  
};