
// a tree
class Tree {
  
  float x, y;
  
  float trunkWidth = 12;
  float trunkHeight = 35;
  float leavesHeight = 25;
  
  color trunkColor = color(116, 63, 63);  // brown
  color leavesColor = color(42, 203, 29); // green
  
  // constructor takes no vars, picks random pos
  Tree() {
    x = random(width);
    y = random(height);
  }
  
  // constructor takes pos
  Tree(float xpos, float ypos) {
      x = xpos;
      y = ypos;
  }
  
  void draw() {
    rectMode(CENTER);
    
    // trunk
    fill(trunkColor);
    rect(x, y, trunkWidth, trunkHeight);
    
    // leaves
    fill(leavesColor);
    triangle(x, y-leavesHeight, x-35, y-trunkHeight/2, x+35, y-trunkHeight/2);  
  }
  
};