
void setup() {
 size(600, 800);
 background(0);
}

void draw() {
  drawFace(random(width), random(height));
  drawFace(200, 200);
  drawFace(myRandom(100, 200), 200);
  drawFace(323, 540);
  drawFace(797, 30);
  
  println("my random: "+myRandom(100, 200));
}

// create our own function -> draws a face
void drawFace(float x, float y, boolean open) {
  noStroke();
  
  // left eye
  ellipse(x-20, y-20, 10, 10);
  
  // right eye
  ellipse(x+20, y-20, 10, 10);
  
  stroke(255);
  
  // mouth
  if(open == true) {
      ellipse(x, +20, 5, 40);
  }
  else {
    line(x-20, y+20, x+20, y+20);
  }
}

// overload drawFace with only 2 parameters
void drawFace(float x, float y) {
  drawFace(x, y, false); // default: no open mouth  
}

// ok, draw a face with no pos -> center
void drawFace() {
  drawFace(width/2, height/2);
}

float myRandom(float min, float max) {
   float r = random(random(min, min*10), max);
   return r;
}