
float x;
float y;
float circleSize = 100;
float mouseSize = 50;

void setup() {
  size(400, 400);
  
  x = width/2;
  y = height/2;
}

void draw() {
  background(100);
  
  // check the mouse distance to the center of the circle
  float d = dist(mouseX, mouseY, x, y);
  println("distance to circle: "+d);
  
  // if the mouse circle overlaps the circle..
  noStroke();
  if(d < circleSize/2 + mouseSize/2 && mousePressed) {
    fill(250, 245, 88); // inside, yellow
  }
  else {
    fill(245, 72, 72); // not inside, red
  }
  ellipse(x, y, 100, 100);
  
  fill(88, 250, 181);
  ellipse(mouseX, mouseY, mouseSize, mouseSize);
  
  stroke(200);
  line(mouseX, mouseY, x, y);
}