// playing with color

size(300, 400);

// grayscale
// 0-255
background(200);

// red, green, & blue
// 0-255
background(159, 98, 160);

// draw a white line
stroke(255); // <- set the color
strokeWeight(10); // <- THICK line
line(30, 30, 100, 200);

// draw rect w/ red outline
// and green fill
stroke(255, 30, 20);
fill(20, 255, 10);
strokeWeight(2); // reset line width
rect(120, 30, 30, 40);

// no outline, green fill
noStroke();
rect(160, 30, 30, 40);

// red outline, no fill
stroke(255, 30, 20);
noFill();
rect(200, 30, 30, 40);

// no outline, no fill = nothing is drawn
noStroke();
rect(240, 30, 30, 40);

// draw some lines, do not smooth them
stroke(#D6571C); // hex color
strokeWeight(1); // thin again
noSmooth();
line(200, 200, 200, 300);
line(200, 200, 220, 300);
line(200, 200, 240, 300);
line(200, 200, 260, 300);