// learning how to use ellipse()

size(400, 400);

// draw a circle: center coordinate & w / h
ellipse(100, 100, 100, 100);

// draw an ellispe, height is > width
ellipse(100, 200, 100, 150);

// radius mode: w / h are radii, not diameter
// aka half the previous mode
ellipseMode(RADIUS);
ellipse(200, 100, 50, 50);

// draw an ellipse inside a box:
// upper left corner & w/h
ellipseMode(CORNER);
ellipse(20, 20, 20, 20);

// draw an ellipse inside a box:
// upper left corner & lower right corner
ellipseMode(CORNERS);
ellipse(60, 20, 80, 40);

// default: center coordinate & w/h
ellipseMode(CENTER);
ellipse(60, 20, 20, 20);