
class Ball {

  float x, y;
  float speedX, speedY;
  color c;
  
  float funkyAngle = 0;
  
  Ball() {
    x = random(width);
    y = random(height);
    speedX = random(-2, 2);
    speedY = random(-2, 2);
    c = color(
      random(50, 225),   // r
      random(50, 225),   // g
      random(50, 225));  // b
      
    funkyAngle = random(0, TWO_PI);
  }
  
  void update() {
    
    // update the X position
    x = x + speedX;
    if(x < 0) { // left
      x = 0; // reset
      speedX = -speedX; // turn around
    }
    else if(x > width) { // right
      x = width; // reset
      speedX = -speedX;
    }
    
    // update the Y position
    y = y + speedY;
    if(y < 0) { // top
      y = 0; // reset
      speedY = -speedY; // turn around
    }
    else if(y > height) { // right
      y = height; // bottom
      speedY = -speedY;
    }
    
  }
  
  // draw white
  void draw() {
    pushMatrix();
    translate(x, y);
    
    fill(255);
    noStroke();
    //ellipse(0, 0, 12, 12);
    imageMode(CENTER);
    scale(0.05);
    image(donald, 0, 0);
    
    popMatrix();
  }
  
  // draw w/ random color
  void drawFunky() {
    pushMatrix();
    translate(x, y);
    scale(abs(sin(funkyAngle)*4.0));
    
    pushMatrix();
    fill(c);
    noStroke();
    //ellipse(0, 0, 12, 12);
    imageMode(CENTER);
    scale(0.0125);
    image(donald, 0, 0);
    popMatrix();
    
    rotate(funkyAngle);
    translate(40, 0);
    scale(0.05);
    image(chipmunks, 0, 0);
    
    popMatrix();
    
    funkyAngle = funkyAngle+0.01;
  }

};