
class Limb {
 
  float x, y; // anchor point
  float angle; // rotation around anchor
  float thickness; // how fat is this limb?
  
  Limb prev;
  
  Limb(float ax, float ay, Limb prevLimb) {
    x = ax;
    y = ay;
    thickness = 20;
    angle = 0;
    prev = prevLimb;
  }
  
  // draw from anchor to next point
  void draw(float nx, float ny) {
    translate(x, y);
    rotate(angle);
    strokeWeight(thickness);
    line(0, 0, nx, ny);
  }
}