
void setup() {
  size(400, 400);
  
  rectMode(CENTER);
}

void draw() {
  
  background(200);
  
  // move origin to the middle of the screen
  translate(width/2, height/2);
  
  rotate(PI);
  
  fill(255);
  
  // origin
  stroke(255, 0, 255);
  point(0, 0);
  
  stroke(0);
  rect(-20, -20, 10, 10);
  rect(20, -20, 10, 10);
  rect(20, 20, 10, 10);
  rect(-20, 20, 10, 10);
  
  translate(-100, 100);
  
  fill(255, 0, 0);
  rect(0, 0, 20, 20);
}

// create our own function -> draws a face
void drawFace(float x, float y, boolean open) {
  
  translate(x, y);
  
  noStroke();
  
  // left eye
  ellipse(-20, -20, 10, 10);
  
  // right eye
  ellipse(20, -20, 10, 10);
  
  stroke(255);
  
  // mouth
  if(open == true) {
      ellipse(0, 20, 5, 40);
  }
  else {
    line(-20, +20, +20, +20);
  }
}