
// lines in my poem
String lines[];

// current line to display
int line = 0;

long timestamp = 0;

void setup() {
  size(400, 400);
  
  lines = loadStrings("poem.txt");
  
  PFont font = createFont("Helvetica", 30);
  textFont(font);
}

void draw() {
  background(255);
  
  // draw the current line
  textAlign(CENTER, CENTER);
  fill(0); // black text
  text(lines[line], width/2, height/2);
  if(line != lines.length-1) { // if not at the end
    text(lines[line+1], width/2, height/2+30);
  }
  
  // go to next line every 2 seconds
  if(millis()-timestamp > 2000) {
    
    // go to the next line
    line = line + 1;
    if(line >= lines.length) {
      line = 0; // go back to beginning  
    }
    
    // update timestamp
    timestamp = millis();
  }
}