
// custom variable using our House class
House myHouse;

// array of houses
House subdivision[];

// array of trees
Tree forest[];

void setup() {
  size(800, 800);

  // create a new house in the middle of the screen
  myHouse = new House(width/2, height/2);
  
  // paint the house after it's created
  myHouse.wallColor = color(0); // black
  myHouse.doorColor = color(255);

  // build my subdivision with 10 houses
  subdivision = new House[10];
  for(int i = 0; i < subdivision.length; ++i) {
    subdivision[i] = new House(random(width), random(height));
    subdivision[i].roofColor = color(random(255), random(255), random(255));
    subdivision[i].roofHeight = random(70, 200);  
  }
  
  // plant my forest with 10 trees
  forest = new Tree[10];
  for(int i = 0; i < forest.length; ++i) {
    forest[i] = new Tree();
    forest[i].leavesHeight = random(70, 200);
  }
}

void draw() {
  
  myHouse.draw();
  
  // draw all the houses
  for(int i = 0; i < subdivision.length; ++i) {
    subdivision[i].draw();  
  }
  
  for(int i = 0; i < forest.length; ++i) {
    forest[i].draw(); 
  }
}